Taslak Etiket

From FreeCAD Documentation
Revision as of 12:57, 8 January 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Etiket

Menü konumu
Taslak → Etiket
Tezgahlar
Draft, Yapı
Varsayılan kısayol
D L
Versiyonda tanıtıldı
-
Ayrıca bkz
Hiçbiri

Tanım

Bu araç, etkin belgeye 2 bölümlü bir çizgi ve bir ok içeren bir metin parçası olan bir etiket ekler. Komutu başlatırken bir nesne veya alt eleman (yüz, kenar veya tepe) seçilirse, seçilen öğenin belirli bir niteliğini otomatik olarak görüntülemek için Etiket yapılabilir.

To insert a simpler text element without an arrow use Draft Text. To create solid text shapes use Draft ShapeString with Part Extrude.

Nasıl Kullanılır

  1. İsteğe bağlı olarak, bir nesneyi veya bir nesnenin alt öğesini seçin (tepe, kenar veya yüz)
  2. Etiket düğmesine basınız veya D ve L tuşlarına basınız.
  3. 3D görünümünde bir ilk noktaya tıklayın veya hedef noktayı (ok pozisyonu) belirtmek için bir Koordinat yazın. Bu herhangi bir yerde olabilir, tam olarak seçilen eleman üzerinde olması gerekmez
  4. 3D görünümünde ikinci bir noktaya tıklayın veya düz parçanın başlangıcı olan orta noktayı belirtmek için Koordinat yazın.
  5. Metnin konumunu belirtmek için 3D görünümünde üçüncü bir noktaya tıklayın veya bir Koordinat yazın.

Note: the direction of the horizontal straight segment, to the right or to the left, will automatically align the text to the opposite direction. If the leader goes vertically up, the text is aligned to the left; if it goes vertically down, it is aligned to the right.

Note 2: by pre-selecting an object, or a sub-element (vertex, edge or face), before pressing the tool button, the label will become parametric, that is, it will remember which object it is bound to, and it will be able to display a particular attribute of that object. If the attributes of the object change later on, the label will adjust the displayed information.

Seçenekler

  • CTRL tuşuna basmak, hedefinizi uygun ek konumlara snap getirecektir.
  • Koordinatları manuel olarak girmek için sayıları girin, ardından her bir X, Y ve Z bileşeni arasında ENTER tuşuna basın.
  • ESC tuşuna basılması işlemi iptal edecektir.
  • Düz parçanın yönü (sağ veya sol), metni sola veya sağa otomatik olarak hizalar.

Özellikler

  • Veri Label Type: Bu etiket tarafından gösterilen bilgilerin türü (aşağıya bakın)
  • Veri Custom Text: Etiket Türü özel olarak ayarlandığında görüntülenecek metin
  • Veri Placement: Döndürmeyi ve metnin konumunu belirtir
  • Veri Straight Distance: Düz parçanın uzunluğu
  • Veri Straight Direction: Yatay veya dikey düz bölümün yönü
  • Veri Target Point: Bu etiketle belirtilen nokta
  • Görünüm Text Size: Metnin boyutu
  • Görünüm Text Font: Metin için kullanılan font
  • Görünüm Text Alignment: Metnin dikey hizalaması: Üst, orta veya alt
  • Görünüm Text Color: Metnin rengi
  • Görünüm Çizgi Genişliği: Çizginin genişliği
  • Görünüm Çizgi Rengi: Çizginin rengi
  • Görünüm Arrow Type: Okun türü: Nokta, daire, ok veya kene.
  • Görünüm Arrow Size: Okun boyutu
  • Görünüm Frame: Metnin etrafına bir çerçeve çizer

Etiket türleri

  • Özel: Özel Metin özelliğinin içeriğini gösterir
  • İsim: Hedef nesnenin adını gösterir
  • Etiket: Hedef nesnenin etiketini gösterir
  • Konum: Hedef nesnenin koordinatlarını (Yerleşim taban noktası) veya varsa hedef köşenin koordinatlarını veya hedef alt listenin merkezinin (kütle merkezinin) koordinatlarını gösterir
  • Uzunluk: Mümkünse, hedef alt öğenin uzunluğunu gösterir
  • Alan: Mümkünse hedef alt alanın alanını gösterir.
  • Ses: Mümkünse, hedef nesnenin sesini gösterir
  • Künye: Hedef nesne böyle bir özelliğe sahipse, (tüm Yapı nesnelerinde olduğu gibi), hedef nesnenin etiket değerini gösterir.
  • Malzeme: Hedef nesnenin böyle bir özelliği varsa, hedef nesnenin malzemesinin etiketini gösterir.

View

  • GörünümText Font: specifies the font to use to draw the text. It can be a font name, such as "Arial", a default style such as "sans", "serif" or "mono", a family such as "Arial,Helvetica,sans" or a name with a style such as "Arial:Bold". If the given font is not found on the system, a generic one is used instead.
  • GörünümText Size: specifies the size of the text. If the label object is created in the tree view but no text is visible in the 3D view, increase the size of the text until it is visible.
  • GörünümText Alignment: specifies the vertical alignment of the baseline of the text with respect to the leader. It can be top, middle or bottom.
  • GörünümText Color: specifies the color of the text in an RGB tuple (R, G, B).
  • GörünümLine Width: specifies the width of the leader.
  • GörünümLine Color: specifies the color of the leader.
  • GörünümArrow Size: specifies the size of the symbol displayed at the tip of the leader.
  • GörünümArrow Type: specifies the type of symbol displayed at the tip of the leader, which can be dot, circle, arrow, or tick.
  • GörünümFrame: if it is "Rectangle" it will draw a frame around the text.
  • GörünümLine: if it is true the leader line will be displayed; otherwise only the text and the symbol at the tip will be displayed.
  • GörünümDisplay Mode: if it is "3D text" the text will be aligned to the scene axes, initially lying on the XY plane; if it is "2D text" the text will always face the camera.

Betik

Etiket aracı, aşağıdaki işlevi kullanarak makrolar ve Python konsolundan kullanılabilir:

The Label tool can be used in macros and from the Python console by using the following function:

Label = makeLabel(targetpoint=None, target=None, direction=None, distance=None, labeltype=None, placement=None)
  • Yeni oluşturulan nesneyi döndürür.

Change the custom text by overwriting the CustomText attribute. A list of strings can be used; each element will be displayed in its own line.

The view properties of Label can be changed by overwriting its attributes; for example, overwrite ViewObject.TextSize with the new size in millimeters.

Örnek:

import FreeCAD, Draft

Rectangle = Draft.makeRectangle(4000, 1000)

p1 = FreeCAD.Vector(-200, 1000, 0)
place1 = FreeCAD.Placement(FreeCAD.Vector(-1000, 1300, 0), FreeCAD.Rotation())

Label1 = Draft.makeLabel(p1, Rectangle, "Horizontal", 500, "Label", place1)
Label1.ViewObject.TextSize = 200

p2 = FreeCAD.Vector(-200, 0, 0)
place2 = FreeCAD.Placement(FreeCAD.Vector(-1000, -300, 0), FreeCAD.Rotation())

Label2 = Draft.makeLabel(p2, Rectangle, "Horizontal", 500, "Custom", place2)
Label2.CustomText = ["Beware of the", "sharp edges"]
Label2.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()

p3 = FreeCAD.Vector(1000, 1200, 0)
place3 = FreeCAD.Placement(FreeCAD.Vector(2000, 1800, 0), FreeCAD.Rotation())

Label3 = Draft.makeLabel(p3, Rectangle, "Horizontal", -500, "Area", place3)
Label3.ViewObject.TextSize = 200
FreeCAD.ActiveDocument.recompute()